Skip to content
中文

POST /sora/v1/characters

Method: POSTEndpoint: /sora/v1/characters

This section contains endpoint-specific behavior, parameters, or usage notes for this API. Example: @{character1Username} dances hand in hand with @{character2Username} on a stage This section contains endpoint-specific behavior, parameters, or usage notes for this API.

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Header Parameters

text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
timestamps
string
Required
  // provider-specific example normalized for English documentation
url
string
Optional
  // provider-specific example normalized for English documentation
from_task
string
Optional
  // provider-specific example normalized for English documentation
Example
{
"url"
:
"https://filesystem.site/cdn/20251030/javYrU4etHVFDqg8by7mViTWHlMOZy.mp4"
,
"timestamps"
:
"1,3"
,
"from_task"
:
"video_637efe22-3b6a-47ad-ab02-ee01a686a0bd"
}

Example Request

Shell

bash
curl --location --request POST '/sora/v1/characters' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "url": "https://filesystem.site/cdn/20251030/javYrU4etHVFDqg8by7mViTWHlMOZy.mp4",
    "timestamps": "1,3",
    "from_task": "video_637efe22-3b6a-47ad-ab02-ee01a686a0bd"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
id
string
  // provider-specific example normalized for English documentation
Required
username
string
Required
  // provider-specific example normalized for English documentation
permalink
string
Required
  // provider-specific example normalized for English documentation
profile_picture_url
string
  // provider-specific example normalized for English documentation
Required

Example

json
{
    "id": "ch_691155df38588191b3ae5f2d390a4359",
    "username": "saparpomd.oddwingduo",
    "permalink": "https://sora.chatgpt.com/profile/saparpomd.oddwingduo",
    "profile_picture_url": "https://videos.openai.com/az/files/00000000-6614-71f7-b5e4-1459ba12ed5e%2Fraw?se=2025-11-14T00%3A00%3A00Z&sp=r&sv=2024-08-04&sr=b&skoid=cfbc986b-d2bc-4088-8b71-4f962129715b&sktid=a48cca56-e6da-484e-a814-9c849652bcb3&skt=2025-11-10T01%3A10%3A14Z&ske=2025-11-17T01%3A15%3A14Z&sks=b&skv=2024-08-04&sig=699mchlFKBCew8%2BOxBVfYr/08kVey5E3ItuznIMyGdw%3D&ac=oaisdmntprsouthcentralus"
}